Bug 184184 - aspell erroneously includes some libtool .la files
aspell erroneously includes some libtool .la files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aspell (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 19:45 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 09:39:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-03-06 19:45:54 EST
Description of problem:
${RPM_BUILD_ROOT}%{_libdir}/libaspell.la and ${RPM_BUILD_ROOT}%{_libdir}/
libpspell.la are removed, but ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/*.la were 
skipped. Is there a special reason for skipping the rest of the .la files? 

Version-Release number of selected component (if applicable):
aspell-0.60.3-5

How reproducible:
Rebuild aspell using rpm 4.4.5 and it will stop at installing with a failed 
libtool dependency.

Actual results:
Including the %{_libdir}/aspell-0.60/*.la files but not the whole rest of *.la 
in aspell will break installing of the aspell package at least with the new rpm 
4.4.5 which has libtool detection. At least the current behaviour of different 
handling of *.la files in aspell is inconsistent and broken, which is another 
reason to apply the patch below.

Expected results:
Please apply the following fix (or better) to the aspell spec file (maybe you 
need --ignore-whitespace as patch argument) for the next rebuilding:

--- aspell.spec       2006-03-02 14:58:36.000000000 +0100
+++ aspell.spec.rsc   2006-03-07 01:44:01.000000000 +0100
@@ -63,8 +63,7 @@
 mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/ispell ${RPM_BUILD_ROOT}%{_bindir}
 mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/spell ${RPM_BUILD_ROOT}%{_bindir}

-rm -f ${RPM_BUILD_ROOT}%{_libdir}/libaspell.la
-rm -f ${RPM_BUILD_ROOT}%{_libdir}/libpspell.la
+rm -f ${RPM_BUILD_ROOT}%{_libdir}/{,aspell-0.60}/*.la
 #rm -f $RPM_BUILD_ROOT/usr/share/doc/aspell/manual.aux

 #mv $RPM_BUILD_ROOT/usr/share/doc/aspell $RPM_BUILD_ROOT/usr/share/doc/aspell-%
{version}

At least this change shouldn't break anything else, as far as I can see while 
doing some other rebuilding tests. Thank you! :)

Additional info:
rpm 4.4.5 is not yet in Rawhide, but should hopefully come up after FC5 release.
Comment 1 Ivana Varekova 2006-03-22 09:39:18 EST
Thank you for your bug report. 
This problem is fixed in aspell-0.60.3-6.  

Note You need to log in before you can comment on or make changes to this bug.